### org.jfree.layouting.modules.output.graphics

# Interface GraphicsContentInterceptor

All Superinterfaces:
  FlowSelector, PageFlowSelector

Known Implementing Classes:
  DisplayAllInterceptor, DisplayInterceptor, QueryLogicalPageInterceptor, QueryPhysicalPageInterceptor

`public interface GraphicsContentInterceptor`
`extends PageFlowSelector`

Creation-Date: 10.11.2006, 20:02:15

Author:
  Thomas Morgner

  ## Method Summary

  `void`

  `processLogicalPage(LogicalPageKey key, PageDrawable page)`

  `void`

  `processPhysicalPage(PhysicalPageKey key, PageDrawable page)`

  ### Methods inherited from interface org.jfree.layouting.output.FlowSelector

  `isLogicalPageAccepted`, `isMoreContentNeeded`

  ### Methods inherited from interface org.jfree.layouting.output.pageable.PageFlowSelector

  `isPhysicalPageAccepted`

## Method Details

### processLogicalPage

    public void processLogicalPage(LogicalPageKey key,
                                   PageDrawable page)

### processPhysicalPage

    public void processPhysicalPage(PhysicalPageKey key,
                                    PageDrawable page)